%define major     1
%define libname   %mklibname wpe %{major}
%define develname %mklibname wpe -d


Name:           libwpe
Version:        1.16.2
Release:        %mkrel 1
Summary:        General-purpose library for the WPE-flavored port of WebKit
Group:          System/Libraries
License:        BSD
URL:            https://github.com/WebPlatformForEmbedded/%{name}
Source0:        https://github.com/WebPlatformForEmbedded/libwpe/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/WebPlatformForEmbedded/libwpe/releases/download/%{version}/%{name}-%{version}.tar.xz.asc

BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  meson
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(xkbcommon)

%description
General-purpose library developed for the WPE-flavored port of WebKit

%package -n    %{libname}
Summary:       General-purpose library developed for the WPE-flavored port of WebKit
Group:         System/Libraries

%description -n %{libname}
General-purpose library developed for the WPE-flavored port of WebKit

%package -n    %{develname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %{libname} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS
%{_libdir}/libwpe-1.0.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/wpe-1.0/
%{_libdir}/libwpe-1.0.so
%{_libdir}/pkgconfig/wpe-1.0.pc


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 1.16.2-1.mga10
+ Revision: 2257971
- new version: 1.16.2

* Sat Jun 28 2025 umeabot <umeabot> 1.15.2-2.mga10
+ Revision: 2221347
- Mageia 10 Mass Rebuild

* Thu Feb 15 2024 daviddavid <daviddavid> 1.15.2-1.mga10
+ Revision: 2041511
- new version: 1.15.2

* Mon Nov 27 2023 daviddavid <daviddavid> 1.15.1-1.mga10
+ Revision: 2010239
- new version: 1.15.1

* Wed May 03 2023 tmb <tmb> 1.14.1-1.mga9
+ Revision: 1955674
- update to 1.14.1

* Sat Apr 22 2023 tmb <tmb> 1.14.0-1.mga9
+ Revision: 1954311
- add source and spec files
- Created package structure for libwpe.

